// DI_API_TestDlg.h : header file
//

#if !defined(AFX_DI_API_TESTDLG_H__7F71D901_CB77_4EE1_BD49_8B1CE766AFF7__INCLUDED_)
#define AFX_DI_API_TESTDLG_H__7F71D901_CB77_4EE1_BD49_8B1CE766AFF7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDI_API_TestDlg dialog

class CDI_API_TestDlg : public CDialog
{
// Construction
public:
	CDI_API_TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDI_API_TestDlg)
	enum { IDD = IDD_DI_API_TEST_DIALOG };
	CEdit	m_txtWDTTimeout;
	CEdit	m_txtSetDIFilterWidth;
	CEdit	m_txtNickname;
	CEdit	m_txtUserDefinedBID;
	CEdit	m_txtBID;
	CListBox	m_lbModuleInfo;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDI_API_TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDI_API_TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenDevice();
	afx_msg void OnCloseDevice();
	afx_msg void OnLoaddefault();
	afx_msg void OnRefreshinfo();
	afx_msg void OnSetnickname();
	afx_msg void OnSetwdttimeout();
	afx_msg void OnSetboardid();
	afx_msg void OnGetdifilterwidth();
	afx_msg void OnGetdivalinv();
	afx_msg void OnGetedgetrig();
	afx_msg void OnSetdifilterwidth();
	afx_msg void OnSetdivalinv();
	afx_msg void OnSetcntedgetrig();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DI_API_TESTDLG_H__7F71D901_CB77_4EE1_BD49_8B1CE766AFF7__INCLUDED_)
